import App from './App'
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
import store from 'store'
import uView from '@/uni_modules/uview-ui'
Vue.prototype.$staticUrl = 'https://xqg.zjhmit.com/hmit-admin/static'
Vue.use(uView);
const app = new Vue({
	store,
    ...App
})
app.$mount()
// #endif
Vue.mixin({
	mounted() {
		wx.showShareMenu({
			menus:['shareAppMessage','shareTimeline']
		})
	}
})
// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif